SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   Apple macOS/OS X Vendors:   Apple
(Apple Issues Fix for Apple OS X) libpng Buffer Overflow in png_set_PLTE()/png_get_PLTE() Files Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1035365
SecurityTracker URL:  http://securitytracker.com/id/1035365
CVE Reference:   CVE-2015-8126, CVE-2015-8472   (Links to External Site)
Date:  Mar 22 2016
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in libpng. A remote user can cause arbitrary code to be executed on the target user's system. Apple OS X is affected.

A remote user can create a specially crafted PNG file that, when loaded by the target application, will trigger a buffer overflow in the png_set_PLTE() and png_get_PLTE() functions and execute arbitrary code on the target system. The code will run with the privileges of the target application using libpng.

Impact:   A remote user can create content that, when loaded by the target application, will execute arbitrary code on the target user's system.
Solution:   Apple has issued a fix for CVE-2015-8126 and CVE-2015-8472 for Apple OS X (10.11.4, Security Update 2016-002).

The Apple advisory is available at:

https://support.apple.com/en-us/HT206167

Vendor URL:  support.apple.com/en-us/HT206167 (Links to External Site)
Cause:   Boundary error

Message History:   This archive entry is a follow-up to the message listed below.
Nov 13 2015 libpng Buffer Overflow in png_set_PLTE()/png_get_PLTE() Files Lets Remote Users Execute Arbitrary Code



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC